<?php

/**
 * Class that operate on table 'restaurantplaystationplay'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2021-04-05 19:36
 */
class RestaurantplaystationplayMySqlExtDAO extends RestaurantplaystationplayMySqlDAO {

    public function getUnFinishedPlaystationPlay($playstationid) {
        $sql = 'SELECT restaurantplaystationplay.* ,serviceId ,deviceIdentification,subDeviceIdentification,useSubIdentification,tableId
                        FROM restaurantplaystationplay
                        join restaurantplaystation on restaurantplaystation.id = restaurantplaystationplay.playstationid
                        WHERE restaurantplaystationplay.playstationid = ' . $playstationid . ' and restaurantplaystationplay.finished = 0 ';
        $sqlQuery = new SqlQuery($sql);
        return $this->getRow($sqlQuery);
    }

    public function loadEX($id) {
        $sql = 'SELECT restaurantplaystationplay.* ,serviceId
                        FROM restaurantplaystationplay
                        join restaurantplaystation on restaurantplaystation.id = restaurantplaystationplay.playstationid
                        WHERE restaurantplaystationplay.id = ?';
        $sqlQuery = new SqlQuery($sql);
        $sqlQuery->setNumber($id);
        return $this->getRow($sqlQuery);
    }

    public function setAllMovesUnitedSellBillId($restaurantPlaystationPlayId, $allMovesUnitedSellBillId) {
        $sql = 'UPDATE restaurantplaystationplay SET allMovesUnitedSellBillId=' . $allMovesUnitedSellBillId . ' WHERE id = ' . $restaurantPlaystationPlayId;
        $sqlQuery = new SqlQuery($sql);
        return $this->executeUpdate($sqlQuery);
    }

    public function queryAllQueryString($queryString = '') {//serviceId ,deviceIdentification,subDeviceIdentification,useSubIdentification,tableId
        $sql = 'SELECT restaurantplaystationplay.* ,name
                        FROM restaurantplaystationplay
                        join restaurantplaystation on restaurantplaystation.id = restaurantplaystationplay.playstationid
                        WHERE 1 ' . $queryString;
//        echo $sql;
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

}

?>